> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tightknit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete calendar event

> Deletes a calendar event by ID.



## OpenAPI

````yaml https://api.tightknit.ai/doc-mintlify delete /admin/v0/calendar_events/{calendar_event_id}
openapi: 3.1.0
info:
  version: 0.0.0
  title: Tightknit OpenAPI
servers:
  - url: https://api.tightknit.ai
    description: Production server
security:
  - Bearer: []
paths:
  /admin/v0/calendar_events/{calendar_event_id}:
    delete:
      tags:
        - Calendar Events
      summary: Delete calendar event
      description: Deletes a calendar event by ID.
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: calendar_event_id
          in: path
      responses:
        '200':
          description: Calendar event deleted
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                    required:
                      - id
                required:
                  - success
                  - data
        '400':
          description: Returns an error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '403':
          description: Returns a Forbidden error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '404':
          description: Returns a Not Found error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '500':
          description: Returns an Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Create calendar event](/api-reference/calendar-events/create-calendar-event.md)
- [List calendar events](/api-reference/calendar-events/list-calendar-events.md)
- [Retrieve calendar event](/api-reference/calendar-events/retrieve-calendar-event.md)
- [Update calendar event attendee](/api-reference/calendar-events/update-calendar-event-attendee.md)
- [Triggered when a calendar event ends](/api-reference/webhooks/triggered-when-a-calendar-event-ends.md)
